Subject: bug#23425: master branch: `message' wrongly corrupts ' to curly quote.

From: Paul Eggert <[email-masked]>
Date: Wed, 7 Jun 2017 11:17:24 -0700

[dropping emacs-devel on Drew's request]

On 06/07/2017 12:44 AM, Andreas Schwab wrote:
> That doesn't make sense, since the first argument of message is a 
> format string.

Sorry, I’ve lost context. I wrote that (message "%s" STR) was needed 
even before Emacs 25 for arbitrary strings STR, to avoid unwanted 
interpretation of characters in STR. Alan was dubious and wanted to know 
when and why that occurred. I gave a example from 1999 and said the 
“why” was because “one can’t pass arbitrary strings to the message 
function and expect them to be displayed as-is”. You objected to this 
justification, writing “we are talking about format strings, which you 
cannot be replaced by "%s".” This objection was unclear and the 
subsequent discussion (from my point of view, anyway) has gone off the 
rails. Perhaps you could clarify the objection by giving specific code 
that exemplifies the problem you are thinking of, presumably a problem 
that cannot easily be addressed by using (message "%s" ...).